libzypp 17.37.10

LogControl.cc File Reference
`#include <iostream>`
`#include <fstream>`
`#include <string>`
`#include <mutex>`
`#include <map>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/base/LogControl.h>`
`#include <zypp-core/base/ProfilingFormater.h>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp-core/base/String.h>`
`#include <zypp-core/Date.h>`
`#include <zypp-core/TriBool.h>`
`#include <zypp-core/AutoDispose.h>`
`#include <utility>`
`#include <zypp-core/zyppng/io/Socket>`
`#include <zypp-core/zyppng/io/SockAddr>`
`#include <zypp-core/zyppng/base/EventLoop>`
`#include <zypp-core/zyppng/base/EventDispatcher>`
`#include <zypp-core/zyppng/base/Timer>`
`#include <zypp-core/zyppng/base/private/linuxhelpers_p.h>`
`#include <zypp-core/zyppng/thread/Wakeup>`
`#include <zypp-core/zyppng/base/private/threaddata_p.h>`
`#include <zypp-core/zyppng/base/SocketNotifier>`
`#include <thread>`
`#include <variant>`
`#include <atomic>`
`#include <csignal>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <dirent.h>`

Go to the source code of this file.

## Classes
class | zypp::SpinLock
class | zypp::LogThread
class | zypp::LogClient
class | zypp::base::logger::Loglinebuf
class | zypp::base::logger::Loglinestream
struct | zypp::base::logger::LogControlImpl
| LogControl implementation (thread_local Singleton). More...
struct | zypp::base::LogControlImpl
| LogControl implementation (thread_local Singleton). More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::debug
namespace | zypp::log
namespace | zypp::base
namespace | zypp::base::logger

## Functions
constexpr std::string_view | zypp::ZYPP_MAIN_THREAD_NAME ("Zypp-main")
std::string | zypp::debug::tracestr (char tag_r, unsigned depth_r, const std::string &msg_r, const char *file_r, const char *fnc_r, int line_r)
void | zypp::base::logger::putStream (const std::string &group_r, LogLevel level_r, const char *file_r, const char *func_r, int line_r, const std::string &buffer_r)
| That's what Loglinebuf calls.
int & | zypp::base::logger::logControlValidFlag ()
std::ostream & | zypp::base::logger::getStream (const char *group_r, LogLevel level_r, const char *file_r, const char *func_r, const int line_r) ZYPP_API
| Return a log stream to write on.
bool | zypp::base::logger::isExcessive ()
std::ostream & | zypp::base::operator<< (std::ostream &str, const LogControl &obj)

## Variables
std::once_flag | flagReadEnvAutomatically
template<class>
constexpr bool | zypp::always_false_v = false
static constexpr std::string_view | zypp::debug::OO { "\033[0m" }
static constexpr std::string_view | zypp::debug::WH { "\033[37;40m" }
static constexpr std::string_view | zypp::debug::CY { "\033[36;40m" }
static constexpr std::string_view | zypp::debug::YE { "\033[33;1;40m" }
static constexpr std::string_view | zypp::debug::GR { "\033[32;40m" }
static constexpr std::string_view | zypp::debug::RE { "\033[31;1;40m" }
static constexpr std::string_view | zypp::debug::MA { "\033[35;40m" }

## Variable Documentation

## ◆ flagReadEnvAutomatically

std::once_flag flagReadEnvAutomatically

Definition at line 54 of file LogControl.cc.